#ifndef SI_UNIT_H
#define SI_UNIT_H

// $Id: SI_Unit.h,v 1.1 2006/08/10 17:16:02 nicholas Exp $
#include "Global.H"

#include "TerrainBase.H"
#include "GameObj.H"

#include <string>
#include <sstream>

namespace Simul{

  class Unit{
  public:

    Unit();
    Unit(GameObj* obj,real8 hp, TerrainBase::Loc pos);

    double getHitPoints(){return hitPoints;}
    TerrainBase::Loc getPosition() {return position;}
    GameObj* getObject() { return obj;}

  private:

    double hitPoints;
    TerrainBase::Loc position;
    GameObj* obj;
  };
}
#endif

