#ifndef ScriptEvent_H
#define ScriptEvent_H

// $Id: ScriptEvent.H,v 1.1 2005/06/26 08:13:33 orts_furtak Exp $
      
// This is an ORTS file (c) Tim Furtak, licensed under the GPL

#include "Global.H"
#include "EventHandler.H"
#include "Action.H"

/** A generic event thrown by the script.   */

class ScriptEvent : public Event {
 
public:
  
  ScriptEvent(sint4 who, sint4 what, const SActParam &p_) :
    Event(who, what), p(p_) { }

  virtual ~ScriptEvent() {};

  const SActParam& get_param() const { return p; }
  
protected:

  SActParam p;
};

#endif
