#ifndef Distance_H
#define Distance_H

#include "Object.H"

namespace Distance {
  /** Compute the distance between two objects.
      Supports multiple object shapes. */
  real8 distance(const Object &e1, const Object &e2);
  /** Compute the distance between an object and a given point. */
  real8 distance(const Object &e1, Scalar x, Scalar y);
}

#endif
